Page MenuHomePhabricator

[mlir][PDL] Use ODS for defining PDL types
ClosedPublic

Authored by rriddle on Jan 5 2021, 3:53 PM.

Details

Summary

This removes the need to define these classes and their parser/printers in C++.

Depends On D94133

Diff Detail

Event Timeline

rriddle created this revision.Jan 5 2021, 3:53 PM
rriddle requested review of this revision.Jan 5 2021, 3:53 PM
mehdi_amini added inline comments.Jan 5 2021, 5:59 PM
mlir/lib/TableGen/Type.cpp
72 ↗(On Diff #314744)

This seems orthogonal to PDL, can you split it out?

rriddle marked an inline comment as done.Jan 6 2021, 1:37 PM
mehdi_amini accepted this revision.Jan 6 2021, 3:28 PM
This revision is now accepted and ready to land.Jan 6 2021, 3:28 PM
antiagainst accepted this revision.Jan 7 2021, 12:06 PM

Looks neat! :)

This revision was landed with ongoing or failed builds.Jan 8 2021, 12:45 PM
This revision was automatically updated to reflect the committed changes.